# The Things Network Exporter for VEGAPULS Air

Export metrics of a VEGAPULS Air connected via TTN as a prometheus service.

## Install ##

- `zypper install python311-paho-mqtt`
- `mkdir /opt/ttn-vegapulsair-exporter/`
- `cd /opt/ttn-vegapulsair-exporter/`
- import `ttn-vegapulsair-exporter.py` and `config.py`
- Set the constants in `config.py`
- `chmod +x /opt/ttn-vegapulsair-exporter/ttn-vegapulsair-exporter.py` 
- `chown -R prometheus /opt/ttn-vegapulsair-exporter/`
- `nano /etc/systemd/system/ttn-vegapulsair-exporter.service`
- `systemctl daemon-reload && systemctl enable --now ttn-vegapulsair-exporter.service`
